Subject: bug#14325: 24.3; cc-mode does not initialize correctly w/ -batch

From: Glenn Morris <[email-masked]>
Date: Wed, 01 May 2013 15:04:46 -0400

Alan Mackenzie wrote:

> Yes.  Give me another hour or two to consider, then I'll probably commit
> it.

Sure, no rush! :)

>> What problem is c-standard-font-lock-fontify-region-function supposed to
>> solve?
>
> font-lock-mode not being loaded at the time CC Mode gets loaded, in
> particular in XEmacs.

But the _only_ place that uses
c-standard-font-lock-fontify-region-function is
c-font-lock-fontify-region, which you set as the value for
font-lock-fontify-region-function, which is only called from font-lock.
It doesn't matter whether or font-lock is loaded when cc-mode is loaded.
It will be loaded before c-font-lock-fontify-region is called.